Wbemcli (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: Wbemcli

Package com.sun.jna.platform.win32.COM

# Interface Wbemcli

public interface Wbemcli
This header is used by Remote Desktop Services. It contains programming interfaces for enumerating and querying Common Information Model (CIM) objects.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `Wbemcli.IEnumWbemClassObject`
  Used to enumerate Common Information Model (CIM) objects.
  `static class`
  `Wbemcli.IWbemClassObject`
  Contains and manipulates both WMI class definitions and class object instances.
  `static class`
  `Wbemcli.IWbemContext`
  Optionally used to communicate additional context information to providers when submitting IWbemServices calls to WMI
  `static class`
  `Wbemcli.IWbemLocator`
  Used to obtain the initial namespace pointer to the IWbemServices interface for WMI on a specific host computer.
  `static class`
  `Wbemcli.IWbemQualifierSet`
  `static class`
  `Wbemcli.IWbemServices`
  Used by clients and providers to access WMI services.
  `static interface`
  `Wbemcli.WBEM_CONDITION_FLAG_TYPE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CIM_BOOLEAN`
  `static final int`
  `CIM_CHAR16`
  `static final int`
  `CIM_DATETIME`
  `static final int`
  `CIM_EMPTY`
  `static final int`
  `CIM_FLAG_ARRAY`
  `static final int`
  `CIM_ILLEGAL`
  `static final int`
  `CIM_OBJECT`
  `static final int`
  `CIM_REAL32`
  `static final int`
  `CIM_REAL64`
  `static final int`
  `CIM_REFERENCE`
  `static final int`
  `CIM_SINT16`
  `static final int`
  `CIM_SINT32`
  `static final int`
  `CIM_SINT64`
  `static final int`
  `CIM_SINT8`
  `static final int`
  `CIM_STRING`
  `static final int`
  `CIM_UINT16`
  `static final int`
  `CIM_UINT32`
  `static final int`
  `CIM_UINT64`
  `static final int`
  `CIM_UINT8`
  `static final int`
  `WBEM_E_INVALID_CLASS`
  `static final int`
  `WBEM_E_INVALID_NAMESPACE`
  `static final int`
  `WBEM_E_INVALID_QUERY`
  `static final int`
  `WBEM_FLAG_DIRECT_READ`
  `static final int`
  `WBEM_FLAG_ENSURE_LOCATABLE`
  `static final int`
  `WBEM_FLAG_FORWARD_ONLY`
  `static final int`
  `WBEM_FLAG_NO_ERROR_OBJECT`
  `static final int`
  `WBEM_FLAG_RETURN_IMMEDIATELY`
  `static final int`
  `WBEM_FLAG_RETURN_WBEM_COMPLETE`
  `static final int`
  `WBEM_FLAG_SEND_STATUS`
  `static final int`
  `WBEM_FLAG_STRONG_VALIDATION`
  `static final int`
  `WBEM_FLAG_USE_AMENDED_QUALIFIERS`
  `static final int`
  `WBEM_INFINITE`
  `static final int`
  `WBEM_MASK_RESERVED_FLAGS`
  `static final int`
  `WBEM_S_FALSE`
  `static final int`
  `WBEM_S_NO_ERROR`
  `static final int`
  `WBEM_S_NO_MORE_DATA`
  `static final int`
  `WBEM_S_TIMEDOUT`

- ## Field Details

  - ### WBEM_FLAG_RETURN_WBEM_COMPLETE

    static final int WBEM_FLAG_RETURN_WBEM_COMPLETE
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_RETURN_IMMEDIATELY

    static final int WBEM_FLAG_RETURN_IMMEDIATELY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_FORWARD_ONLY

    static final int WBEM_FLAG_FORWARD_ONLY
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_NO_ERROR_OBJECT

    static final int WBEM_FLAG_NO_ERROR_OBJECT
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_SEND_STATUS

    static final int WBEM_FLAG_SEND_STATUS
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_ENSURE_LOCATABLE

    static final int WBEM_FLAG_ENSURE_LOCATABLE
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_DIRECT_READ

    static final int WBEM_FLAG_DIRECT_READ
    See Also:
      - Constant Field Values

  - ### WBEM_MASK_RESERVED_FLAGS

    static final int WBEM_MASK_RESERVED_FLAGS
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_USE_AMENDED_QUALIFIERS

    static final int WBEM_FLAG_USE_AMENDED_QUALIFIERS
    See Also:
      - Constant Field Values

  - ### WBEM_FLAG_STRONG_VALIDATION

    static final int WBEM_FLAG_STRONG_VALIDATION
    See Also:
      - Constant Field Values

  - ### WBEM_INFINITE

    static final int WBEM_INFINITE
    See Also:
      - Constant Field Values

  - ### WBEM_S_NO_ERROR

    static final int WBEM_S_NO_ERROR
    See Also:
      - Constant Field Values

  - ### WBEM_S_FALSE

    static final int WBEM_S_FALSE
    See Also:
      - Constant Field Values

  - ### WBEM_S_TIMEDOUT

    static final int WBEM_S_TIMEDOUT
    See Also:
      - Constant Field Values

  - ### WBEM_S_NO_MORE_DATA

    static final int WBEM_S_NO_MORE_DATA
    See Also:
      - Constant Field Values

  - ### WBEM_E_INVALID_NAMESPACE

    static final int WBEM_E_INVALID_NAMESPACE
    See Also:
      - Constant Field Values

  - ### WBEM_E_INVALID_CLASS

    static final int WBEM_E_INVALID_CLASS
    See Also:
      - Constant Field Values

  - ### WBEM_E_INVALID_QUERY

    static final int WBEM_E_INVALID_QUERY
    See Also:
      - Constant Field Values

  - ### CIM_ILLEGAL

    static final int CIM_ILLEGAL
    See Also:
      - Constant Field Values

  - ### CIM_EMPTY

    static final int CIM_EMPTY
    See Also:
      - Constant Field Values

  - ### CIM_SINT8

    static final int CIM_SINT8
    See Also:
      - Constant Field Values

  - ### CIM_UINT8

    static final int CIM_UINT8
    See Also:
      - Constant Field Values

  - ### CIM_SINT16

    static final int CIM_SINT16
    See Also:
      - Constant Field Values

  - ### CIM_UINT16

    static final int CIM_UINT16
    See Also:
      - Constant Field Values

  - ### CIM_SINT32

    static final int CIM_SINT32
    See Also:
      - Constant Field Values

  - ### CIM_UINT32

    static final int CIM_UINT32
    See Also:
      - Constant Field Values

  - ### CIM_SINT64

    static final int CIM_SINT64
    See Also:
      - Constant Field Values

  - ### CIM_UINT64

    static final int CIM_UINT64
    See Also:
      - Constant Field Values

  - ### CIM_REAL32

    static final int CIM_REAL32
    See Also:
      - Constant Field Values

  - ### CIM_REAL64

    static final int CIM_REAL64
    See Also:
      - Constant Field Values

  - ### CIM_BOOLEAN

    static final int CIM_BOOLEAN
    See Also:
      - Constant Field Values

  - ### CIM_STRING

    static final int CIM_STRING
    See Also:
      - Constant Field Values

  - ### CIM_DATETIME

    static final int CIM_DATETIME
    See Also:
      - Constant Field Values

  - ### CIM_REFERENCE

    static final int CIM_REFERENCE
    See Also:
      - Constant Field Values

  - ### CIM_CHAR16

    static final int CIM_CHAR16
    See Also:
      - Constant Field Values

  - ### CIM_OBJECT

    static final int CIM_OBJECT
    See Also:
      - Constant Field Values

  - ### CIM_FLAG_ARRAY

    static final int CIM_FLAG_ARRAY
    See Also:
      - Constant Field Values